View Issue Details

IDProjectCategoryView StatusLast Update
0002220NoesisGUIUnity3Dpublic2022-03-03 15:11
Reporterjsantos Assigned Tojsantos  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.2 
Target Version3.1.3Fixed in Version3.1.3 
Summary0002220: [Unity] Update Emscripten to 2.0.19
Descriptionhttps://docs.unity.cn/2021.2/Documentation/Manual/UpgradeGuide20212.html

In Unity 2021.2, the underlying Emscripten compiler used by the WebGL platform was updated to version 2.0.19. Previous versions of Unity were using 1.38.11.

This is a breaking change, changing this will make our library incompatible with previous versions of Unity (or we can provide two separate libraries).
TagsNo tags attached.
PlatformAny

Relationships

has duplicate 0002246 resolvedjsantos Unity 2021.2.8f build issue 

Activities

EnergyNick

EnergyNick

2022-02-22 09:03

reporter   ~0007824

Hi!
Do you have any updates when Noesis will update the Emscripten version?
jsantos

jsantos

2022-02-23 17:02

manager   ~0007826

Problem we have is that if we update Emscripten version we are going to break Unity versions previous to 2021.2. We are trying to find alternative ways (providing both versions of Noesis, inside the package or in a private folder).

For now the only workaround is using a version of Noesis before Unity 2021.2

Issue History

Date Modified Username Field Change
2021-12-27 19:28 jsantos New Issue
2021-12-27 19:28 jsantos Assigned To => jsantos
2021-12-27 19:28 jsantos Status new => assigned
2021-12-27 19:29 jsantos Target Version => 3.1.3
2022-01-24 12:04 jsantos Relationship added has duplicate 0002246
2022-02-22 09:03 EnergyNick Note Added: 0007824
2022-02-23 17:02 jsantos Note Added: 0007826
2022-03-03 15:11 jsantos Status assigned => resolved
2022-03-03 15:11 jsantos Resolution open => fixed
2022-03-03 15:11 jsantos Fixed in Version => 3.1.3